#!/bin/sh
# preinst script for kali-defaults
#
# see: dh_installdeb(1)

set -e

# summary of how this script can be called:
#        * <new-preinst> `install'
#        * <new-preinst> `install' <old-version>
#        * <new-preinst> `upgrade' <old-version>
#        * <old-preinst> `abort-upgrade' <new-version>
# for details, see https://www.debian.org/doc/debian-policy/ or
# the debian-policy package

FILES_TO_DIVERT="
/etc/chromium/master_preferences
/etc/skel/.bashrc
/etc/ssl/openssl.cnf
/etc/zsh/newuser.zshrc.recommended
/etc/zsh/zprofile
/etc/xdg/autostart/gnome-software-service.desktop
/etc/xrdp/xrdp.ini
/usr/lib/python3.11/EXTERNALLY-MANAGED
/usr/lib/python3.12/EXTERNALLY-MANAGED
/usr/lib/python3.13/EXTERNALLY-MANAGED
/usr/share/chromium/initial_bookmarks.html
/usr/share/dbus-1/services/org.kde.kdeconnect.service
/usr/share/firefox-esr/distribution/distribution.ini
/usr/share/samba/smb.conf
/usr/share/applications/org.kde.discover.desktop
/usr/share/applications/org.kde.discover.urlhandler.desktop
/usr/share/applications/org.kde.discover.apt.urlhandler.desktop
/usr/share/applications/org.kde.plasma-welcome.desktop
" # END FILES_TO_DIVERT

setup_diversion() {
    local file=$1
    dpkg-divert --rename --package kali-defaults \
		--divert "$file.original" \
		--add "$file"
}

case "$1" in
    install)
	for file in $FILES_TO_DIVERT; do
	    setup_diversion "$file"
	done
    ;;

    upgrade)
        if dpkg --compare-versions "$2" eq 2016.2.2; then
            rm -f /etc/udev/rules.d/73-usb-net-by-mac.rules
        fi

	# Dynamically add new diversions when required on upgrade
	for file in $FILES_TO_DIVERT; do
	    if [ -z "$(dpkg-divert --listpackage "$file")" ]; then
		setup_diversion "$file"
	    fi
	done
    ;;

    abort-upgrade)
    ;;

    *)
        echo "preinst called with unknown argument \`$1'" >&2
        exit 1
    ;;
esac

# dh_installdeb will replace this with shell code automatically
# generated by other debhelper scripts.

#DEBHELPER#

exit 0

